Skip to main content
POST
Create a Stripe payment link for a plan
This endpoint requires authentication. Include your Bearer token in the Authorization header.

Description

POST /billing/stripe/payment-link Ensures a Stripe customer exists, looks up the graduated price by lookup key, and creates a shareable Stripe payment link. Authorization:
  • Required role: owner only

Code Examples

Authorizations

Authorization
string
header
required

JWT Authorization header using the Bearer scheme. Format: "Bearer {token}"

Body

application/json
planLevel
enum<string>
required
Available options:
FREE,
STARTER,
PLUS,
PREMIUM
billingCycle
enum<string>
required
Available options:
monthly,
quarterly,
annually

Response

Payment link created

status
string
Example:

"success"

message
string
data
object